### Method

# WebKit WebView load_bytes

since: 2.6

#### Declaration [src]

    void
    webkit_web_view_load_bytes (
      WebKitWebView* web_view,
      GBytes* bytes,
      const gchar* mime_type,
      const gchar* encoding,
      const gchar* base_uri
    )

#### Description [src]

Load the specified `bytes` into `web_view` using the given `mime_type` and `encoding`.

When `mime_type` is `NULL`, it defaults to “text/html”. When `encoding` is `NULL`, it defaults to “UTF-8”. When `base_uri` is `NULL`, it defaults to “about:blank”. You can monitor the load operation by connecting to `WebKitWebView::load-changed` signal.

Available since: 2.6

#### Parameters

`bytes`

  Type: `GBytes`

  Input data to load.

  The data is owned by the caller of the method.

`mime_type`

  Type: `const gchar*`

  The MIME type of `bytes`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`encoding`

  Type: `const gchar*`

  The character encoding of `bytes`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`base_uri`

  Type: `const gchar*`

  The base URI for relative locations or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.